<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%-- Display the attribute as a checkbox. --%>
<div id="${cssIDName}" class="yesNo attribute<c:if test="${attribute.attributeIsRequired}"> required</c:if>">
	<%-- Checkbox. --%>
	<c:if test="${! denyPurchase and (! trackAttribute or attrSku.inventoryLevel gt 0)}">
		<input id="${parameterName}" type="checkbox" name="${parameterName}" class="attributeyesnoinput" value="yes"
		<c:if test="${!empty parameterValue}"> checked="checked"</c:if>
		<c:if test="${attribute.attributeIsRequired}"> required="required"</c:if>/>
	</c:if>
	<%-- Attribute name. --%>
	<label for="${parameterName}" class="name">
		<c:out value="${attribute.attributeName}" escapeXml="false" />
	</label>
	<%-- Attribute price. --%>
	<c:if test="${!empty attribute.attributeUnitPrice && attribute.attributeUnitPrice > 0}">
		<span class="price">
			+<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
				${attribute.attributeUnitPrice}
			</fmt:formatNumber>
		</span>
	</c:if>
	<%-- Attribute inventory. --%>
	<c:if test="${trackAttribute}">
		<span class="inventory">
			${attrSku.inventoryLevel}
			<bean:message key="product.inventoryLevelCompact" bundle="/product"/>
		</span>
	</c:if>
	<c:if test="${empty forceCompact or forceCompact ne true}">
		<%-- Attribute image. --%>
		<c:if test="${!empty attribute.attributeSmallImage}">
			<span class="image">
				<c:choose>
					<c:when test="${!empty attribute.attributeLargeImage}">
						<a onclick="window.open('${attribute.attributeLargeImage}','Zoom','height=400,width=500,scrollbars=yes')" href="#">
							<img class="img-responsive" src="${attribute.attributeSmallImage}"
							<c:if test="${!empty attribute.attributeName}"> title="${attribute.attributeName}" alt="${attribute.attributeName}"</c:if> />
						</a>
					</c:when>
					<c:otherwise>
						<img class="img-responsive" src="${attribute.attributeSmallImage}"
						<c:if test="${!empty attribute.attributeName}"> title="${attribute.attributeName}" alt="${attribute.attributeName}"</c:if> />
					</c:otherwise>
				</c:choose>
			</span>
		</c:if>
		<%-- Attribute description. --%>
		<span class="description">
			<c:out value="${attribute.attributeDescription}" escapeXml="false" />
		</span>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
