<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="bsColSpan" value="4"/>
<c:if test="${!empty manufacturers and !manufacturers['empty']}">
	<div class="manufacturerList columnList">
		<div class="row flush">
			<logic:iterate name="manufacturers" id="manufacturer" indexId="index">
				<c:if test="${manufacturer.isActive}">
					<c:set var="columnOrder" value="${columnOrder + 1}"/>
					<c:if test="${columnOrder eq '1'}">
						<tr>
					</c:if>
					<div id="manufacturerList-${manufacturer.code}" class="manufacturer col-md-${bsColSpan}">
						<%-- Manufacturer image --%>
						<c:if test="${!empty manufacturer.smallImage}">
							<div class="image">
								<ssc:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}" >
									<img class="img-responsive" src="${manufacturer.smallImage}"<c:if test="${!empty manufacturer.name}"> title="${manufacturer.name}" alt="${manufacturer.name}"</c:if>/>
								</ssc:link>
							</div>
						</c:if>
						<%-- Manufacturer name --%>
						<c:if test="${!empty manufacturer.name}">
							<h3 class="name">
								<ssc:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}">
									<c:out value="${manufacturer.name}" escapeXml="false"/>
								</ssc:link>
							</h3>
						</c:if>
						<%-- Manufacturer view details link --%>
						<p class="viewDetails">
							<ssc:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}">
								<bean:message key="productList.viewDetails" bundle="/product"/>
							</ssc:link>
						</p>
					</div>
				</c:if>
			</logic:iterate>
		</div>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
