<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.customer.CustomerWishList,com.softslate.commerce.businessobjects.customer.CustomerWishListProcessor" %>
<bean:define id="editing" toScope="request" value="true"/>
<bean:define id="pagingLink" toScope="request" value="WishListEditForm.do"/>
<%
	BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
	CustomerWishListProcessor customerWishListProcessor = (CustomerWishListProcessor) bof.createObject(
			"customerWishListProcessorImplementer");
	CustomerWishList cwl = (CustomerWishList) request.getAttribute("customerWishList");
	String check = customerWishListProcessor.computeCheck(cwl);
	pageContext.setAttribute("check", check);
%>
<!-- Start wishListEditLayout.jsp -->
<div id="wishListEdit">
	<h2><c:out value="${wishListAddEditForm.name}"/></h2>
	<p class="instructions"><bean:message key="accountWishLists.editInstructions" bundle="/customer"/></p>
	<ul class="normal">
		<li id="wishListItems">
			<h3><bean:message key="wishList.itemsHeading" bundle="/customer"/></h3>
			<c:choose>
				<c:when test="${empty customerWishListProducts or customerWishListProducts['empty']}">
					<p class="instructions"><bean:message key="wishList.wishListEmpty" bundle="/customer"/></p>
				</c:when>
				<c:otherwise>
					<p class="instructions"><bean:message key="wishList.itemsInstructions" bundle="/customer"/></p>
					<tiles:insert attribute="wishListProducts"/>
				</c:otherwise>
			</c:choose>
		</li>
		<li id="wishListShare">
			<h3><bean:message key="wishList.shareHeading" bundle="/customer"/></h3>
			<p class="instructions">
				<bean:message key="wishList.shareInstructions" bundle="/customer"/>
				<html:link href="${secureURL}/WishList.do?wishID=${customerWishList.customerWishListID}_${check}"><bean:message key="wishList.shareInstructionsLink" bundle="/customer"/></html:link>
			</p>
			<bean:message key="wishList.yourURL" bundle="/customer"/>: <strong><c:out value="${customerURL}/WishList.do?wishID=${customerWishList.customerWishListID}_${check}"/></strong>
		</li>
		<li id="wishListManage">
			<h3><bean:message key="wishList.manageHeading" bundle="/customer"/></h3>
			<p class="instructions"><bean:message key="wishList.manageInstructions" bundle="/customer"/></p>
			<form name="wishListAddEditForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListEdit.do")%>" method="post">
				<div id="wishListFormGuts">
					<html:hidden name="wishListAddEditForm" property="customerWishListID"/>
					<tiles:insert attribute="wishListAddEditForm"/>
					<span id="editWishListButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="wishList.editButton" bundle="/customer"/>"/></span>
				</div>
			</form>
			<br/>
			<html:link href="${secureURL}/WishListAddForm.do"><bean:message key="wishList.addLink" bundle="/customer"/></html:link>
			<br/><br/>
			<html:link href="${secureURL}/AccountWishLists.do"><bean:message key="wishList.review" bundle="/customer"/></html:link>
		</li>
	</ul>
</div>
<!-- End wishListEditLayout.jsp -->
