<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start facetedSearchCategories.jsp -->
<tiles:useAttribute name="facetGroup"/>
<c:set var="parentCategorySkipped" value="${false}"/>
<c:forEach var="facet" items="${facetGroup.subResults}" varStatus="current">
	<c:if test="${!parentCategorySkipped}">
	<c:set var="facetPath" value="${facet.facetName}"/>
	<% 
		String path = pageContext.getAttribute("facetPath").toString();
		pageContext.setAttribute("facetCategoryCode", path.substring(path.lastIndexOf(LuceneFacetHelper.FACET_SEPARATOR) + 1)); 
		pageContext.setAttribute("facetPathSurrounded", "," + path + ",");
	%>
	<c:set var="facetCategory" value="${searchList.facetCategories[facetCategoryCode]}"/>
	<c:if var="parentMatch" test="${false}"/>
	<c:forTokens var="thisCategoryID" items="${requestScope.currentCategory.parentString}" delims=",">
		<c:if var="parentMatch" test="${parentMatch or thisCategoryID == facetCategory.categoryID}"/>
	</c:forTokens>
		<%-- If on a category page, don't show facets for the current category or any of its parents. --%>
	<c:if test="${!empty facetCategory and requestScope.currentCategory.code ne facetCategory.code and !parentMatch}">
		<c:if test="${!displayedHeader}">
			<c:set var="displayedHeader" scope="request" value="${true}"/>
			<c:set var="facetSearchCategoriesLevel" scope="request" value="1"/>
			<div id="${facetGroup.facetName}" class="facetGroup widget">
				<strong id="facetResultHeading" class="heading"><bean:message key="advancedSearch.categories" bundle="/product"/></strong>
				<ul class="facetList">
		</c:if>
		<li id="${facetPath}" class="facet">
			<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>
			<label class="facetNameAndCount" for="checkbox-${facetPath}">
				<span class="facetName"><c:out value="${facetCategory.name}" escapeXml="false"/></span>&nbsp;(<span class="facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>)
			</label>
	</c:if>
	<c:if test="${!empty facetCategory and !empty facet.subResults}">
		<c:if test="${displayedHeader}">
			<ul>
		</c:if>
		<c:if test="${!displayedHeader or (facetSearchCategoriesLevel < settings.map.advancedSearchFacetTreeDepthDisplayed)}">
			<c:set var="facetSearchCategoriesLevel" scope="request" value="${facetSearchCategoriesLevel + 1}"/>
			<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchCategories.jsp" flush="false">
				<tiles:put name="facetGroup" beanName="facet"/>
			</tiles:insert>
			<c:set var="facetSearchCategoriesLevel" scope="request" value="${facetSearchCategoriesLevel - 1}"/>
		</c:if>
		<c:if test="${displayedHeader}">
			</ul>
		</c:if>
	</c:if>
		</li>
		<%-- If on a category page, don't show facets for siblings of the current category or siblings of any of its parents. --%>
		<c:if test="${!empty requestScope.currentCategory.code and !(!empty facetCategory and requestScope.currentCategory.code ne facetCategory.code and !parentMatch)}">
			<c:set var="parentCategorySkipped" value="${true}"/>
		</c:if>
	</c:if>
</c:forEach>
<!-- End facetedSearchCategories.jsp -->
