package com.softslate.commerce.businessobjects.email;

import com.softslate.commerce.businessobjects.core.BusinessObject;
import com.softslate.commerce.businessobjects.customer.Customer;
import com.softslate.commerce.businessobjects.order.Order;

public interface Email extends BusinessObject {

	abstract int getEmailID();
	
	abstract void setEmailID(int emailID);

	abstract Integer getOrderID();

	abstract void setOrderID(Integer orderID);
	
	abstract Order getOrder();

	abstract void setOrder(Order order);
	
	abstract Integer getCustomerID();

	abstract void setCustomerID(Integer customerID);
	
	abstract Customer getCustomer();

	abstract void setCustomer(Customer customer);
	
	abstract Integer getTemplateID();

	abstract void setTemplateID(Integer templateID);

	abstract Template getTemplate();

	abstract void setTemplate(Template template);

	abstract String getType();

	abstract void setType(String type);

	abstract String getToEmails();

	abstract void setToEmails(String toEmails);

	abstract String getCcEmails();

	abstract void setCcEmails(String ccEmails);

	abstract String getBccEmails();

	abstract void setBccEmails(String bccEmails);

	abstract String getFromEmail();

	abstract void setFromEmail(String fromEmail);

	abstract String getSubject();

	abstract void setSubject(String subject);

	abstract String getBodyHtml();

	abstract void setBodyHtml(String bodyHtml);

	abstract String getBodyText();

	abstract void setBodyText(String bodyText);

	abstract String getCreatedTime();

	abstract void setCreatedTime(String createdTime);

	abstract String getSendTime();

	abstract void setSendTime(String sendTime);

	abstract String getLastActionTime();

	abstract void setLastActionTime(String lastActionTime);

	abstract String getStatus();

	abstract void setStatus(String status);

	abstract String getErrorMessage();

	abstract void setErrorMessage(String errorMessage);

	abstract String getLastEvent();

	abstract void setLastEvent(String lastEvent);

	abstract String getLastEventTime();

	abstract void setLastEventTime(String lastEventTime);

	abstract String getSmtpServer();

	abstract void setSmtpServer(String smtpServer);

	abstract String getOptOutType();

	abstract void setOptOutType(String optOutType);

	abstract boolean getDontSendIfSameEmailTypeAlreadySent();

	abstract void setDontSendIfSameEmailTypeAlreadySent(boolean dontSendIfSameEmailTypeAlreadySent);
	
}
