package com.softslate.commerce.businessobjects.email;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BusinessObject;

@Audited
@AuditTable("AudTemplate")
public interface Template extends BusinessObject {
	abstract int getTemplateID();

	abstract void setTemplateID(int templateID);

	abstract String getCode();

	abstract void setCode(String code);

	abstract String getType();

	abstract void setType(String type);

	abstract String getSubject();

	abstract void setSubject(String subject);

	abstract String getDescription();

	abstract void setDescription(String description);

	abstract String getBodyHtml();

	abstract void setBodyHtml(String bodyHtml);

	abstract String getBodyText();

	abstract void setBodyText(String bodyText);

	abstract Boolean getIsActive();

	abstract void setIsActive(Boolean isActive);
	
}
