package com.softslate.commerce.daos.product;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to discount ranges.
 * 
 * @author David Tobey
 */
public class DiscountRangeGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements DiscountRangeGatewayDAO {

	static Log log = LogFactory.getLog(DiscountRangeGatewayDAOHibernate.class);

	public Map loadDiscountRangesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteDiscountRanges(Map parameters, BusinessObjectFactory bof) throws Exception {
		Map result = editDeleteItems(parameters, bof);
		evictCache();
		return result;
	}

}
