create table sscPayment (
	paymentID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.payment.PaymentBean', 
	orderID number(10,0), 
	status varchar2(100), 
	processorClassName varchar2(255), 
	valueFieldLabels varchar2(255), 
	creditCardName varchar2(64), 
	creditCardType varchar2(16), 
	creditCardDate varchar2(16), 
	creditCardNumber varchar2(64), 
	creditCardNumberDisplay varchar2(32), 
	value1 varchar2(255), 
	value2 varchar2(255), 
	value3 varchar2(255), 
	value4 varchar2(255), 
	value5 varchar2(255), 
	value6 varchar2(255), 
	value7 varchar2(255), 
	value8 varchar2(255), 
	value9 clob, 
	created varchar2(255), 
	amount double precision, 
	paymentProfileID varchar2(100),
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	primary key (paymentID)
);

alter table sscPayment add constraint FK3454C9E6DA8BA36 foreign key (orderID) references sscOrder;

CREATE INDEX IDX_sscPayment_creditCardName ON sscPayment (creditCardName);
CREATE INDEX IDX_sscPayment_value1 ON sscPayment (value1);
CREATE INDEX IDX_sscPayment_value2 ON sscPayment (value2);
CREATE INDEX IDX_sscPayment_value3 ON sscPayment (value3);
CREATE INDEX IDX_sscPayment_value4 ON sscPayment (value4);
CREATE INDEX IDX_sscPayment_value5 ON sscPayment (value5);
CREATE INDEX IDX_sscPayment_value6 ON sscPayment (value6);
CREATE INDEX IDX_sscPayment_created ON sscPayment (created);
CREATE INDEX IDX_sscPayment_amount ON sscPayment (amount);
