UPDATE sscSetting SET smallValue='3.2.3' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('enableProductReviews', 'Enable Product Reviews?', 'If set to yes, customers will be able to view reviews made by other customers and submit their own reviews. All reviews must be approved by an administrator before being displayed. Use the <a href="SettingsEmail.do">Outgoing Emails screen</a> to define who receives email notifications of newly submitted reviews.', 'CUSTOMERACCOUNT', 'booleanValue', 0, NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('productReviewEmailTo', 'Product Review Notification Email To', 'A comma-separated list of administrator email addresses newly submitted product reviews get sent to for approval.', 'EMAIL', 'textValue', NULL, NULL, NULL, '');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('productReviewEmailSubject', 'Product Review Email Subject', 'Administrator Product Review Email Subject', 'EMAIL', 'mediumValue', 0, NULL, 'New Product Review - Please Approve', NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('productReviewEmailFrom', 'Product Review Email From', 'The "From" address used for product review notification emails. If left blank the Store Email Address will be used.', 'EMAIL', 'mediumValue', 0, NULL, '', NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('automaticallyResizeImages', 'Automatically Resize Images?', 'When uploading a large product image, should the system automatically resize it to the below large, medium, and small sizes? Resizing will only occur when the large image for a product is uploaded. If this setting is set to true and the small and medium images do not exist already, they will be automatically created when the large image is uploaded. (When uploading Additional Images, small and medium versions will always be generated if this setting is set to true.)', 'ADVANCEDDISPLAY', 'booleanValue', '0', NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('smallImageSize', 'Small Image Size', 'When uploading a large product image or an additional product image, the size the small version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image.', 'ADVANCEDDISPLAY', 'integerValue', '100', NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('mediumImageSize', 'Medium Image Size', 'When uploading a large product image or an additional product image, the size the medium version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image.', 'ADVANCEDDISPLAY', 'integerValue', '300', NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('largeImageSize', 'Large Image Size', 'When uploading a large product image or an additional product image, the size the large version of the image will be sized at. The aspect ratio of the image is maintained. This setting represents the maximum width or height, whichever is greater, of the resulting image.', 'ADVANCEDDISPLAY', 'integerValue', '550', NULL, NULL, NULL);
