<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="editing" toScope="request" value="true" />

<!-- Start orderDeliveryEditForm.jsp -->
<div class="important addEditNotes">
	Adjusting the values on this screen will not cause the system to automatically recalculate the order's tax, shipping, or other totals.
	For tools that will do this, use the order management links on this order's <a href="<c:out value="${settings.map.administratorURL}"/>/OrderOverview.do?orderID=<c:out value="${order.orderID}"/>">Overview screen</a>.
</div>
<html:form action="/OrderDeliveryEdit" method="post">
	<html:hidden name="orderDeliveryAddEditForm" property="orderDeliveryID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Order Delivery ID:
			</td>
			<td>
				<bean:write name="orderDeliveryAddEditForm" property="orderDeliveryID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="orderDeliveryDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/OrderDeliveryDelete.do" method="post">
		<input type="hidden" name="orderID" value="<bean:write name="orderDeliveryAddEditForm" property="orderID" />" />
		<input type="hidden" name="orderDeliveryID" value="<bean:write name="orderDeliveryAddEditForm" property="orderDeliveryID" />" />
		<input type="hidden" name="address1" value="<bean:write name="orderDeliveryAddEditForm" property="address1" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End orderDeliveryEditForm.jsp -->
