(function ($) {

	// BROWSE TREE EXPAND/COLLAPSE FUNCTIONALITY
	// =========================================
	
	// Toggle the chevron next to open menu items
	$('#categoryTree ul.collapse').on('hidden.bs.collapse shown.bs.collapse', function () {
		var $glyph = $(this).prev('a').children('.glyphicon');
		var activeGlyphClass   = 'glyphicon-chevron-down';
		var inActiveGlyphClass = 'glyphicon-chevron-right';
		if ($glyph.hasClass(activeGlyphClass)) {
			$glyph.removeClass(activeGlyphClass).addClass(inActiveGlyphClass);
		} else if ($glyph.hasClass(inActiveGlyphClass)) {
			$glyph.removeClass(inActiveGlyphClass).addClass(activeGlyphClass);
		}
		return false; //Bootstrap bug: break out of loop
	});
	
	// Do not hide the drop down menu when an internal link is clicked
	$('#categoryTree a.dropdown').on('click.bs.dropdown', function (e) {
		var $this = $(this);
		$this.data.linkWithinDropdownJustClicked = true;
	});
	
	$('#categoryTree .dropdown').on('hide.bs.dropdown', function (e) {
		var $this = $(this);
		if ($this.data.linkWithinDropdownJustClicked) {
			$this.data.linkWithinDropdownJustClicked = false;
			e.preventDefault();
		}
	});
})(jQuery);
