CREATE TABLE npcSKU (
  skuID INT(11) NOT NULL AUTO_INCREMENT,
  productID INT(11) NOT NULL DEFAULT '0',
  attributeID1 INT(11) DEFAULT NULL,
  optionID1 INT(11) DEFAULT NULL,
  attributeID2 INT(11) DEFAULT NULL,
  optionID2 INT(11) DEFAULT NULL,
  attributeID3 INT(11) DEFAULT NULL,
  optionID3 INT(11) DEFAULT NULL,
  attributeID4 INT(11) DEFAULT NULL,
  optionID4 INT(11) DEFAULT NULL,
  attributeID5 INT(11) DEFAULT NULL,
  optionID5 INT(11) DEFAULT NULL,
  skuNumber VARCHAR(128) DEFAULT NULL,
  trackInventory TINYINT(4) NOT NULL DEFAULT '1',
  inventoryLevel INT(11) NOT NULL DEFAULT '0',
  notes VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY  (skuID),
  KEY productIDIndex (productID),
  FOREIGN KEY (`productID`) REFERENCES `npcProduct` (`productID`) ON DELETE CASCADE,
  UNIQUE KEY skuUKey (productID, attributeID1, optionID1, attributeID2, optionID2, 
  attributeID3, optionID3, attributeID4, optionID4, attributeID5, optionID5)
);

