<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12">
	<div class="page-header">
		<h1 class="pageTitle"><bean:message key="checkoutComboShipping.headline" bundle="/order" /></h1>
	</div>
	<p class="instructions"><bean:message key="checkoutComboShipping.instructions" bundle="/order" /></p>
	
	<%--Checkout coupon form--%>
	<c:if test="${settings.map.applyDiscounts eq 1 && settings.map.showCouponFormAtCheckout eq 1}">
		<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCoupon.do")%>" method="post">
			<ssc:insert page="/WEB-INF/layouts/default-html5/order/couponFormGuts.jsp" />
		</form>
	</c:if>
	<div class="row">
	
		<%--Address and shipping form--%>
		<form id="addressesForm" name="addressesForm" class="centeredForm form-horizontal" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutComboShipping.do")%>" method="post">
			<input type="hidden" name="submittedForm" value="checkoutComboShipping" />
			
			<%--Addresses--%>
			<ssc:insert page="/WEB-INF/layouts/default-html5/order/checkoutAddressesFormGuts.jsp"/>
		
			<%--Emailer add subscriber opt-in prompt--%>
			<ssc:insert page="/WEB-INF/layouts/default/order/emailerOptInPrompt.jsp"/>
		
			<%--Shipping--%>
			<c:if test="${settings.map.shippingRequired eq '1'}">
				<div class="col-sm-12">
					<ssc:insert page="/WEB-INF/layouts/default-html5/order/shippingFormGuts.jsp" />
				</div>
			</c:if>
		
			<%--Button--%>
			<div class="clearfix"></div>
			<div class="checkoutButtonContainer text-center">
				<input type="submit" class="btn btn-primary" value="<bean:message key="checkoutComboShipping.button" bundle="/order"/>" />
			</div>
		</form>
		<c:if test="${settings.map.allowAddressBook eq '1'}">
			<ssc:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
		</c:if>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
