<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<script type="text/javascript">
(function($) {
	
	$.SSCAuthorizeNetAcceptJSHelper = {
		init : function() {
		},
			
		interceptRequestWithAcceptJS : function(event) {
		    var secureData = {}; authData = {}; cardData = {};

		    // Extract the card number, expiration date, and card code.
		    cardData.cardNumber = document.getElementById("decryptedNumber").value;
		    cardData.month = document.getElementById("creditCardExpirationMonth").value;
		    cardData.year = document.getElementById("creditCardExpirationYear").value;
		    cardData.cardCode = document.getElementById("creditCardSecurityCode").value;
		    secureData.cardData = cardData;

		    // The Authorize.Net Client Key is used in place of the traditional Transaction Key. The Transaction Key
		    // is a shared secret and must never be exposed. The Client Key is a public key suitable for use where
		    // someone outside the merchant might see it.
		    authData.clientKey = "${settings.map.authorizeNetAcceptJSPublicClientKey}";
		    authData.apiLoginID = "${settings.map.authorizeNetLoginID}";
		    secureData.authData = authData;

		    // Pass the card number and expiration date to Accept.js for submission to Authorize.Net.
		    Accept.dispatchData(secureData, responseHandler);
		    return false; // Don't submit the form

		    // Process the response from Authorize.Net to retrieve the two elements of the payment nonce.
		    function responseHandler(response) {
		        if (response.messages.resultCode === "Error") {
		        	
		        	// Format error messages using the same HTML as ajax/error.jsp
		        	var errorMessageHtml = "<div id='ajaxErrors' class='ajaxMessages'>";
		            for (var i = 0; i < response.messages.message.length; i++) {
		                errorMessageHtml = errorMessageHtml + "<span class='ajaxError'>" + response.messages.message[i].text + "</span><br/>";
		            }
		            errorMessageHtml = errorMessageHtml + "</div>";
		            
		            // Add the error to the page, either for one-page checkout or regular checkout
		            <c:choose>
		            	<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
		    				$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-payment-loading');
		    				$(".onePageCheckout-payment-errors").html(errorMessageHtml);
		    				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
		            	</c:when>
		            	<c:otherwise>
	    					$(".authorizeNetAIM-payment-errors").html(errorMessageHtml);
		            	</c:otherwise>
		            </c:choose>
		        } else {
		        	
		        	// Successful response - put the nonce in the form and submit it
				    var transactionForm = document.getElementById("authorizeNetAIMForm");
				    dataDesc = document.createElement("input")
				    dataDesc.hidden = true;
				    dataDesc.value = response.opaqueData.dataDescriptor;
				    dataDesc.name = "acceptJsDataDesc";
				    transactionForm.appendChild(dataDesc);
				    dataValue = document.createElement("input")
				    dataValue.hidden = true;
				    dataValue.value = response.opaqueData.dataValue;
				    dataValue.name = "acceptJsDataValue";
				    transactionForm.appendChild(dataValue);
				    
				    // Mask the card number and security code so they are not sent to the server
				    var ccNumber = document.getElementById("decryptedNumber");
					if (ccNumber && ccNumber.value.length > 3) {
						ccNumber.value = 'XXXXXXXXXXXX' + ccNumber.value.substring(ccNumber.value.length - 4 , ccNumber.value.length);
					}
					if (document.getElementById("creditCardSecurityCode")) {
						document.getElementById("creditCardSecurityCode").value = '';
					}
					if (document.getElementById("creditCardExpirationYear")) {
						document.getElementById("creditCardExpirationYear").value = '';
					}
					if (document.getElementById("creditCardExpirationMonth")) {
						document.getElementById("creditCardExpirationMonth").value = '';
					}
				    
					// Submit the form to the server
		            <c:choose>
		            	<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
		            		$.SSCOnePageCheckout.submitProcessPayment(event);
		            	</c:when>
		            	<c:otherwise>
		            		transactionForm.action = "<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>";
		                	transactionForm.method = "POST";
		    		    	transactionForm.submit();
		            	</c:otherwise>
		            </c:choose>
		        }
		    }
		}
	};
	
	$(document).ready(function() {
		$.SSCAuthorizeNetAcceptJSHelper.init();	
	});
})(jQuery);
</script>
<!-- End ${pageScope.sscCurrentPage} -->
