<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start authorizeNetCIMAPIPaymentForm.jsp -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>

<fieldset id="basicPaymentForm" class="paymentInformation">
	<legend><bean:message key="paymentForms.ccHeading" bundle="/order" /></legend>

	<c:if test="${settings.map.deriveCreditCardTypeFromNumber eq '0'}">
		<label for="creditCardType" class="requiredLabel"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
		<html:select styleClass="selectbox" styleId="creditCardType" name="${thisForm}" property="creditCardType">
			<html:option value="VISA">Visa</html:option>
			<html:option value="MASTERCARD">MasterCard</html:option>
			<html:option value="AMEX">American Express</html:option>
			<html:option value="DISCOVER">Discover</html:option>
		</html:select>
		<br />
	</c:if>

	<label for="decryptedNumber" class="requiredLabel"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
	<html:text styleClass="textbox" styleId="decryptedNumber" name="${thisForm}" property="decryptedNumber" maxlength="16" />
	<br />

	<label for="creditCardSecurityCode" class="requiredLabel"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
	<html:text styleClass="textbox" styleId="creditCardSecurityCode" name="${thisForm}" property="creditCardSecurityCode" size="4" maxlength="4" />
	(<a href="<c:out value="${customerURL}"/>/images/creditCardCodeWhatsThis.gif" onclick="window.open('<c:out value="${customerURL}"/>/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
	<br />

	<label for="creditCardExpirationMonth" class="requiredLabel"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
	<html:select styleClass="selectbox" styleId="creditCardExpirationMonth" name="${thisForm}" property="creditCardExpirationMonth">
		<html:option value="01">1</html:option>
		<html:option value="02">2</html:option>
		<html:option value="03">3</html:option>
		<html:option value="04">4</html:option>
		<html:option value="05">5</html:option>
		<html:option value="06">6</html:option>
		<html:option value="07">7</html:option>
		<html:option value="08">8</html:option>
		<html:option value="09">9</html:option>
		<html:option value="10">10</html:option>
		<html:option value="11">11</html:option>
		<html:option value="12">12</html:option>
	</html:select>
	<br/>

	<label for="creditCardExpirationYear" class="requiredLabel"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<html:select styleClass="selectbox selectboxYear" styleId="creditCardExpirationYear" name="${thisForm}" property="creditCardExpirationYear">
		<html:option value="${thisYear}"><c:out value="${thisYear}"/></html:option>
		<html:option value="${thisYear + 1}"><c:out value="${thisYear + 1}"/></html:option>
		<html:option value="${thisYear + 2}"><c:out value="${thisYear + 2}"/></html:option>
		<html:option value="${thisYear + 3}"><c:out value="${thisYear + 3}"/></html:option>
		<html:option value="${thisYear + 4}"><c:out value="${thisYear + 4}"/></html:option>
		<html:option value="${thisYear + 5}"><c:out value="${thisYear + 5}"/></html:option>
		<html:option value="${thisYear + 6}"><c:out value="${thisYear + 6}"/></html:option>
		<html:option value="${thisYear + 7}"><c:out value="${thisYear + 7}"/></html:option>
		<html:option value="${thisYear + 8}"><c:out value="${thisYear + 8}"/></html:option>
		<html:option value="${thisYear + 9}"><c:out value="${thisYear + 9}"/></html:option>
	</html:select>
	<br />
	
	<c:if test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
		<br /><br />
		<div id="challengeImageAndInstructions">
			<img class="challengeImage" alt="Challenge Image" src="<c:out value="${secureURL}"/>/Jcaptcha.do"/><br/>
			<bean:message key="security.textFromImageInstructions" />
		</div>
		<br /><br />
		<label for="textFromImage" class="requiredLabel"><bean:message key="security.textFromImage" /></label>
		<input type="text" id="textFromImage" name="textFromImage" class="textbox"/>
		<br /><br />
	</c:if>

</fieldset>
<!-- End authorizeNetCIMAPIPaymentForm.jsp -->
