<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start facetedSearchOther.jsp -->
<div id="${facetTopGroup.facetName}" class="facetGroup widget">
	<c:set var="topFacetPath" value="${facetTopGroup.facetName}"/>
	<%
		String topFacetPath = pageContext.getAttribute("topFacetPath").toString();
		String[] topLabelParts = topFacetPath.split("\\" + Character.toString(LuceneFacetHelper.FACET_SEPARATOR));
		if (topLabelParts.length == 2) {
			pageContext.setAttribute("facetName", topLabelParts[1]);
		}
	%>
	<strong id="facetResultHeading" class="heading"><c:out value="${facetName}"/></strong>
	<ul class="facetList">
		<c:forEach var="facet" items="${facetTopGroup.subResults}">
			<c:set var="facetPath" value="${facet.facetName}"/>
			<%
				String facetPath = pageContext.getAttribute("facetPath").toString();
				String[] labelParts = facetPath.split("\\" + Character.toString(LuceneFacetHelper.FACET_SEPARATOR));
				if (labelParts.length == 3) {
					pageContext.setAttribute("facetName", labelParts[2]);
				}
				pageContext.setAttribute("facetPathSurrounded", "," + facetPath + ",");
			%>
			<li id="${facetPath}" class="facet">
				<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>
				<label class="facetNameAndCount" for="checkbox-${facetPath}">
					<span class="facetName"><c:out value="${facetName}" escapeXml="false"/></span>&nbsp;(<span class="facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>)
				</label>
			</li>
		</c:forEach>
	</ul>
</div>
<!-- End facetedSearchOther.jsp -->
