<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.order.CartDiscountProcessor,com.softslate.commerce.businessobjects.product.Discount" %>
<!-- Start storeDiscounts.jsp -->
<% 
	if (request.getAttribute("cartDiscountProcessor") == null) {
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
%>
<c:if test="${!empty storeDiscounts and !storeDiscounts['empty']}">
	<div id="storeDiscounts" class="storeDiscounts widget">
		<strong id="storeDiscountsHeading" class="heading"><bean:message key="product.storeDiscountsHeader" bundle="/product"/></strong>
		<c:set var="imageDisplayed" value="false"/>
		<c:set var="firstItem" value="true"/>
		<c:set var="moreNotDisplayed" value="false"/>
		<c:set var="numberToDisplay" value="${settings.map.storeDiscountsCount}"/>
		<bean:size id="numberOfItems" name="storeDiscounts"/>
		<c:if test="${numberOfItems > numberToDisplay}">
			<c:set var="moreNotDisplayed" value="true"/>
		</c:if>
		<% String numberToDisplay = (String) pageContext.getAttribute("numberToDisplay"); %>
		<logic:iterate name="storeDiscounts" id="discount" indexId="i" length="<%= numberToDisplay %>">
			<c:if test="${discount.isActive and discount.itemsAppliesType eq '[global]'}">
				<% if (((CartDiscountProcessor)request.getAttribute("cartDiscountProcessor")).isDiscountOk((Discount) pageContext.getAttribute("discount"), null)) { %>
				<c:if test="${firstItem eq 'false'}">
					<hr />
				</c:if>
				<c:if test="${firstItem eq 'true'}">
					<c:set var="firstItem" value="false"/>
				</c:if>
				<div id="storeDiscount-<c:out value="${discount.code}"/>" class="discount">
					<p class="name">
						<c:out value="${discount.name}" escapeXml="false"/>
					</p>
					<c:if test="${!empty discount.description}">
						<p class="description">
							<c:out value="${discount.description}" escapeXml="false"/>
						</p>
					</c:if>
					<c:if test="${!empty discount.expirationDate}">
						<p class="expirationDate">
							<fmt:parseDate value="${discount.expirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
							<span class="label"><bean:message key="product.discountExpires" bundle="/product"/>:</span>
							<fmt:formatDate value="${parsed}" type="both" />
						</p>
					</c:if>
				</div>
				<%  } %>
			</c:if>
		</logic:iterate>
	</div>
</c:if>
<!-- End storeDiscounts.jsp -->
