package com.softslate.commerce.customer.payment.cresecure;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * This displays the callback form which insert javascript and receives js calls
 * from the cre iframe.
 * 
 * @author Jason McWilliams
 */

public class CRECallbackFormAction extends BaseAction {
	static Log log = LogFactory.getLog(CRECallbackFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");

		BaseForm baseForm = new BaseForm();
		baseForm.initializeProperties(mapping, request);
		/*
		 * This does not work because cre tries to communicate by putting its
		 * own parameter string on the end of this url
		 */

		// String creSecureSecretCallback = (String)
		// baseForm.getSettings().getValue("creSecureSecretCallbackID");
		// String id = baseForm.getRequest().getParameter("id");
		// if (StringUtils.isNotBlank(id) && creSecureSecretCallback.equals(id))
		// {
		// return mapping.findForward("success");
		// } else {
		// if (log.isInfoEnabled()) {
		// log.info("CRE secret id did not match, not showing callback form.");
		// }
		// return mapping.findForward("failure");
		// }

		return mapping.findForward("success");
	}

}
