INSERT INTO sscRole(code, name, description)
VALUES('superuser', 'Super User', 'Administrators with the super user role have access to all areas and actions of the administrator interface.');
INSERT INTO sscRole(code, name, description)
VALUES('administrator', 'Administrator', 'The administrator role allows access to all areas of the administrator interface except creating and editing administrators and their roles.');
INSERT INTO sscRole(code, name, description)
VALUES('administratorView', 'Administrator Viewer', 'Allows access to view administrators.');
INSERT INTO sscRole(code, name, description)
VALUES('administratorEdit', 'Administrator Editor', 'Allows access to view, edit, and delete administrators.');
INSERT INTO sscRole(code, name, description)
VALUES('settingsView', 'Settings Viewer', 'Allows access to view application settings.');
INSERT INTO sscRole(code, name, description)
VALUES('settingsEdit', 'Settings Editor', 'Allows access to view, edit, and delete application settings.');
INSERT INTO sscRole(code, name, description)
VALUES('taxView', 'Tax Viewer', 'Allows access to view tax settings.');
INSERT INTO sscRole(code, name, description)
VALUES('taxEdit', 'Tax Editor', 'Allows access to view, edit, and delete tax settings.');
INSERT INTO sscRole(code, name, description)
VALUES('shippingView', 'Shipping Viewer', 'Allows access to view shipping settings.');
INSERT INTO sscRole(code, name, description)
VALUES('shippingEdit', 'Shipping Editor', 'Allows access to view, edit, and delete shipping settings.');
INSERT INTO sscRole(code, name, description)
VALUES('countryView', 'Country Viewer', 'Allows access to view country settings.');
INSERT INTO sscRole(code, name, description)
VALUES('countryEdit', 'Country Editor', 'Allows access to view, edit, and delete country settings.');
INSERT INTO sscRole(code, name, description)
VALUES('stateView', 'State Viewer', 'Allows access to view state settings.');
INSERT INTO sscRole(code, name, description)
VALUES('stateEdit', 'State Editor', 'Allows access to view, edit, and delete state settings.');
INSERT INTO sscRole(code, name, description)
VALUES('categoryView', 'Category Viewer', 'Allows access to view category settings.');
INSERT INTO sscRole(code, name, description)
VALUES('categoryEdit', 'Category Editor', 'Allows access to view, edit, and delete category settings.');
INSERT INTO sscRole(code, name, description)
VALUES('productView', 'Product Viewer', 'Allows access to view product settings.');
INSERT INTO sscRole(code, name, description)
VALUES('productEdit', 'Product Editor', 'Allows access to view, edit, and delete product settings.');
INSERT INTO sscRole(code, name, description)
VALUES('attributeView', 'Attribute Viewer', 'Allows access to view attribute settings.');
INSERT INTO sscRole(code, name, description)
VALUES('attributeEdit', 'Attribute Editor', 'Allows access to view, edit, and delete attribute settings.');
INSERT INTO sscRole(code, name, description)
VALUES('optionView', 'Option Viewer', 'Allows access to view option settings.');
INSERT INTO sscRole(code, name, description)
VALUES('optionEdit', 'Option Editor', 'Allows access to view, edit, and delete option settings.');
INSERT INTO sscRole(code, name, description)
VALUES('customerView', 'Customer Viewer', 'Allows access to view customer settings.');
INSERT INTO sscRole(code, name, description)
VALUES('customerEdit', 'Customer Editor', 'Allows access to view, edit, and delete customer settings.');
INSERT INTO sscRole(code, name, description)
VALUES('customerAddressView', 'Customer Address Viewer', 'Allows access to view customer address settings.');
INSERT INTO sscRole(code, name, description)
VALUES('customerAddressEdit', 'Customer Address Editor', 'Allows access to view, edit, and delete customer address settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderView', 'Order Viewer', 'Allows access to view order settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderEdit', 'Order Editor', 'Allows access to view, edit, and delete order settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderDeliveryView', 'Order Delivery Viewer', 'Allows access to view order delivery settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderDeliveryEdit', 'Order Delivery Editor', 'Allows access to view, edit, and delete order delivery settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderItemView', 'Order Item Viewer', 'Allows access to view order item settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderItemEdit', 'Order Item Editor', 'Allows access to view, edit, and delete order item settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderItemAttributeView', 'Order Item Attribute Viewer', 'Allows access to view order item attribute settings.');
INSERT INTO sscRole(code, name, description)
VALUES('orderItemAttributeEdit', 'Order Item Attribute Editor', 'Allows access to view, edit, and delete order item attribute settings.');
INSERT INTO sscRole(code, name, description)
VALUES('paymentsView', 'Payment Settings Viewer', 'Allows access to view payment settings.');
INSERT INTO sscRole(code, name, description)
VALUES('paymentsEdit', 'Payment Settings Editor', 'Allows access to view, edit, and delete payment settings.');
INSERT INTO sscRole(code, name, description)
VALUES('maintenanceView', 'Maintenance Viewer', 'Allows access to view maintenance screes.');
INSERT INTO sscRole(code, name, description)
VALUES('maintenanceEdit', 'Maintenance Editor', 'Allows access to run maintenance functions.');
INSERT INTO sscRole(code, name, description)
VALUES('upgradesView', 'Upgrades Viewer', 'Allows access to view data object upgrades.');
INSERT INTO sscRole(code, name, description)
VALUES('upgradesEdit', 'Upgrades Editor', 'Allows access to view and run data object upgrades.');
INSERT INTO sscRole(code, name, description)
VALUES('importexportView', 'Import/Export Viewer', 'Allows access to view imports and exports.');
INSERT INTO sscRole(code, name, description)
VALUES('importexportEdit', 'Import/Export Editor', 'Allows access to view and run imports and exports.');
INSERT INTO sscRole(code, name, description)
VALUES('skuView', 'SKU Viewer', 'Allows access to view SKUs (inventory and discounting units).');
INSERT INTO sscRole(code, name, description)
VALUES('skuEdit', 'SKU Editor', 'Allows access to view and edit SKUs (inventory and discounting units).');
INSERT INTO sscRole(code, name, description)
VALUES('discountView', 'Discounts Viewer', 'Allows access to view discounts.');
INSERT INTO sscRole(code, name, description)
VALUES('discountEdit', 'Discounts Editor', 'Allows access to view and edit discounts.');
INSERT INTO sscRole(code, name, description)
VALUES('manufacturerView', 'Manufacturers Viewer', 'Allows access to view manufacturers.');
INSERT INTO sscRole(code, name, description)
VALUES('manufacturerEdit', 'Manufacturers Editor', 'Allows access to view and edit manufacturers.');
INSERT INTO sscRole(code, name, description)
VALUES('advancedSearchView', 'Advanced Search Viewer', 'Allows access to view the advanced search reindex form.');
INSERT INTO sscRole(code, name, description)
VALUES('advancedSearchEdit', 'Advaned Search Editor', 'Allows access to view and submit the advanced search reindex form.');
INSERT INTO sscRole(code, name, description)
VALUES('orderPaymentView', 'Order Payment Viewer', 'Allows access to view payment information for an order.');
INSERT INTO sscRole(code, name, description)
VALUES('orderPaymentEdit', 'Order Payment Editor', 'Allows access to view, edit, and delete payment information for an order.');
INSERT INTO sscRole(code, name, description)
VALUES('reportView', 'Report Viewer', 'Allows access to view and run reports.');

INSERT INTO sscRole(code, name, description)
VALUES('orderDiscountView', 'Order Discount Viewer', 'Allows access to view discounts attached to an order.');
INSERT INTO sscRole(code, name, description)
VALUES('orderDiscountEdit', 'Order Discount Editor', 'Allows access to view, edit, and delete discounts attached to an order.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreContactInfoView', 'Store Contact Info Settings Viewer', 'Allows access to view Store Contact Info settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreContactInfoEdit', 'Store Contact Info Settings Editor', 'Allows access to view and edit Store Contact Info settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreURLsView', 'Store URLs Settings Viewer', 'Allows access to view Store URLs settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreURLsEdit', 'Store URLs Settings Editor', 'Allows access to view and edit Store URLs settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsEmailView', 'Email Settings Viewer', 'Allows access to view Email settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsEmailEdit', 'Email Settings Editor', 'Allows access to view and edit Email settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsSEOView', 'SEO Settings Viewer', 'Allows access to view SEO settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsSEOEdit', 'SEO Settings Editor', 'Allows access to view and edit SEO settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsTrackingView', 'Tracking Settings Viewer', 'Allows access to view Tracking settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsTrackingEdit', 'Tracking Settings Editor', 'Allows access to view and edit Tracking settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsContactFormView', 'Contact Form Settings Viewer', 'Allows access to view Contact Form settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsContactFormEdit', 'Contact Form Settings Editor', 'Allows access to view and edit Contact Form settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsComponentsView', 'Components Settings Viewer', 'Allows access to view Components settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsComponentsEdit', 'Components Settings Editor', 'Allows access to view and edit Components settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedSystemView', 'Advanced System Settings Viewer', 'Allows access to view Advanced System settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedSystemEdit', 'Advanced System Settings Editor', 'Allows access to view and edit Advanced System settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreLogoView', 'Store Logo Settings Viewer', 'Allows access to view Store Logo settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStoreLogoEdit', 'Store Logo Settings Editor', 'Allows access to view and edit Store Logo settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsThemesView', 'Themes Settings Viewer', 'Allows access to view Themes settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsThemesEdit', 'Themes Settings Editor', 'Allows access to view and edit Themes settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsGeneralDisplayView', 'General Display Settings Viewer', 'Allows access to view General Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsGeneralDisplayEdit', 'General Display Settings Editor', 'Allows access to view and edit General Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsHeaderSidePanelView', 'Header Side Panel Settings Viewer', 'Allows access to view Header Side Panel settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsHeaderSidePanelEdit', 'Header Side Panel Settings Editor', 'Allows access to view and edit Header Side Panel settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsProductListDisplayView', 'Product List Display Settings Viewer', 'Allows access to view Product List Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsProductListDisplayEdit', 'Product List Display Settings Editor', 'Allows access to view and edit Product List Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedDisplayView', 'Advanced Display Settings Viewer', 'Allows access to view Advanced Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedDisplayEdit', 'Advanced Display Settings Editor', 'Allows access to view and edit Advanced Display settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStylesView', 'Styles Settings Viewer', 'Allows access to view Styles settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsStylesEdit', 'Styles Settings Editor', 'Allows access to view and edit Styles settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsEncryptionView', 'Encryption Settings Viewer', 'Allows access to view Encryption settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsEncryptionEdit', 'Encryption Settings Editor', 'Allows access to view and edit Encryption settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdministratorView', 'Administrator Settings Viewer', 'Allows access to view Administrator settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdministratorEdit', 'Administrator Settings Editor', 'Allows access to view and edit Administrator settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCaptchaVerificationView', 'Captcha Verification Settings Viewer', 'Allows access to view Captcha Verification settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCaptchaVerificationEdit', 'Captcha Verification Settings Editor', 'Allows access to view and edit Captcha Verification settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsSessionManagementView', 'Session Management Settings Viewer', 'Allows access to view Session Management settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsSessionManagementEdit', 'Session Management Settings Editor', 'Allows access to view and edit Session Management settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsInventoryView', 'Inventory Settings Viewer', 'Allows access to view Inventory settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsInventoryEdit', 'Inventory Settings Editor', 'Allows access to view and edit Inventory settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsDiscountsView', 'Discounts Settings Viewer', 'Allows access to view Discounts settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsDiscountsEdit', 'Discounts Settings Editor', 'Allows access to view and edit Discounts settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedSearchView', 'Advanced Search Settings Viewer', 'Allows access to view Advanced Search settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAdvancedSearchEdit', 'Advanced Search Settings Editor', 'Allows access to view and edit Advanced Search settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCheckoutFlowView', 'Checkout Flow Settings Viewer', 'Allows access to view Checkout Flow settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCheckoutFlowEdit', 'Checkout Flow Settings Editor', 'Allows access to view and edit Checkout Flow settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAddressView', 'Address Settings Viewer', 'Allows access to view Address settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAddressEdit', 'Address Settings Editor', 'Allows access to view and edit Address settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerAccountView', 'Customer Account Settings Viewer', 'Allows access to view Customer Account settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerAccountEdit', 'Customer Account Settings Editor', 'Allows access to view and edit Customer Account settings.');
INSERT INTO sscRole(code, name, description) VALUES('welcomeScreenViewer', 'Welcome Screen Viewer', 'Allows access to view the inner content of the Administrator home page.');
INSERT INTO sscRole(code, name, description) VALUES('customerWishListView', 'Customer Wish List Viewer', 'Allows access to view customer wish lists.');
INSERT INTO sscRole(code, name, description) VALUES('customerWishListEdit', 'Customer Wish List Editor', 'Allows access to view, edit, and delete customer wish lists.');
INSERT INTO sscRole(code, name, description) VALUES('requestLogView', 'Request Log Viewer', 'Allows access to view request logs.');
INSERT INTO sscRole(code, name, description) VALUES('requestLogEdit', 'Request Log Editor', 'Allows access to view, edit, and delete request logs.');
INSERT INTO sscRole(code, name, description) VALUES('emailView', 'Email Viewer', 'Allows access to view emails.');
INSERT INTO sscRole(code, name, description) VALUES('emailEdit', 'Email Editor', 'Allows access to view, edit, and delete emails.');
INSERT INTO sscRole(code, name, description) VALUES('templateView', 'Template Viewer', 'Allows access to view templates.');
INSERT INTO sscRole(code, name, description) VALUES('templateEdit', 'Template Editor', 'Allows access to view, edit, and delete templates.');
INSERT INTO sscRole(code, name, description) VALUES('emailOptOutView', 'Email Opt Out Viewer', 'Allows access to view email opt outs.');
INSERT INTO sscRole(code, name, description) VALUES('emailOptOutEdit', 'Email Opt Out Editor', 'Allows access to view, edit, and delete email opt outs.');
INSERT INTO sscRole(code, name, description) VALUES('settingsMonitorJobView', 'Monitor Job Settings Viewer', 'Allows access to view Monitor Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsMonitorJobEdit', 'Monitor Job Settings Editor', 'Allows access to view and edit Monitor Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsReindexLuceneJobView', 'Reindex Lucene Job Settings Viewer', 'Allows access to view Reindex Lucene Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsReindexLuceneJobEdit', 'Reindex Lucene Job Settings Editor', 'Allows access to view and edit Reindex Lucene Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerFollowUpJobView', 'Customer Follow Up Job Settings Viewer', 'Allows access to view Customer Follow Up Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerFollowUpJobEdit', 'Customer Follow Up Job Settings Editor', 'Allows access to view and edit Customer Follow Up Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAbandonedCartEmailJobView', 'Abandoned Cart Email Job Settings Viewer', 'Allows access to view Abandoned Cart Email Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsAbandonedCartEmailJobEdit', 'Abandoned Cart Email Job Settings Editor', 'Allows access to view and edit Abandoned Cart Email Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsOrderShippedJobView', 'Order Shipped Job Settings Viewer', 'Allows access to view Order Shipped Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsOrderShippedJobEdit', 'Order Shipped Job Settings Editor', 'Allows access to view and edit Order Shipped Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomView', 'Custom Settings Viewer', 'Allows access to view custom settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomEdit', 'Custom Settings Editor', 'Allows access to view, edit, and delete custom settings.');
INSERT INTO sscRole(code, name, description) VALUES('customerPasswordEditor', 'Customer Password Editor', 'Allows access to view and edit customer passwords.');
INSERT INTO sscRole(code, name, description) VALUES('productReviewView', 'Product Review Viewer', 'Allows access to view product reviews.');
INSERT INTO sscRole(code, name, description) VALUES('productReviewEdit', 'Product Review Editor', 'Allows access to view, edit, and delete product reviews.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerSecurityView', 'Customer Security Settings Viewer', 'Allows access to view Customer Security settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomerSecurityEdit', 'Customer Security Settings Editor', 'Allows access to view and edit Customer Security settings.');
