<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start navigationLookupDetails.jsp -->
	<c:choose>
		<c:when test="${navElement eq 'Home'}">
			<c:set var="navigationLink" scope="request" value="/Welcome.do"/>
		</c:when><c:when test="${navElement eq 'Custom Settings'}">
			<c:set var="navigationLink" scope="request" value="/UserSetting.do"/>
		</c:when><c:when test="${navElement eq 'Custom Setting Details'}">
			<c:set var="navigationName" scope="request">Custom Setting: <em><c:out value="${userSetting.name}"/> (<c:out value="${userSetting.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/UserSettingEditForm.do?settingID=${userSetting.settingID}"/>
		</c:when><c:when test="${navElement eq 'Add Custom Setting'}">
			<c:set var="navigationLink" scope="request" value="/UserSettingAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Administrators'}">
			<c:set var="navigationLink" scope="request" value="/Administrator.do"/>
		</c:when><c:when test="${navElement eq 'Add Administrator'}">
			<c:set var="navigationLink" scope="request" value="/AdministratorAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Administrator Details'}">
			<c:set var="navigationName" scope="request">Administrator: <em><c:out value="${administrator.userName}"/></em></c:set>
			<c:set var="navigationLink" scope="request" value="/AdministratorEditForm.do?administratorID=${administrator.administratorID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${administrator.userName}"/></em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="administrator/administrator"/>
		</c:when><c:when test="${navElement eq 'Roles'}">
			<c:set var="navigationLink" scope="request" value="/Role.do"/>
		</c:when><c:when test="${navElement eq 'Add Role'}">
			<c:set var="navigationLink" scope="request" value="/RoleAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Role Details'}">
			<c:set var="navigationName" scope="request">Role: <em><c:out value="${role.name}"/> (<c:out value="${role.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/RoleEditForm.do?roleID=${role.roleID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${role.name}"/> (<c:out value="${role.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="administrator/role"/>
		</c:when><c:when test="${navElement eq 'Customers'}">
			<c:set var="navigationLink" scope="request" value="/Customer.do"/>
		</c:when><c:when test="${navElement eq 'Add Customer'}">
			<c:set var="navigationLink" scope="request" value="/CustomerAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Customer Details'}">
			<c:set var="navigationName" scope="request">Customer: <em><c:out value="${customer.userName}"/></em></c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerEditForm.do?customerID=${customer.customerID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${customer.userName}"/></em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="customer/customer"/>
		</c:when><c:when test="${navElement eq 'Customer Delivery Addresses'}">
			<c:set var="navigationName" scope="request">Delivery Addresses</c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerAddress.do?customerID=${customer.customerID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerAddress'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Customer Delivery Address'}">
			<c:set var="navigationName" scope="request">Add Delivery Address</c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerAddressAddForm.do?customerID=${customer.customerID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerAddressAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Customer Delivery Address Details'}">
			<c:set var="navigationName" scope="request">Delivery Address: <em><c:out value="${customerAddress.address1}"/> (ID: <c:out value="${customerAddress.customerAddressID}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerAddressEditForm.do?customerID=${customerAddress.customerID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${customerAddress.address1}"/> (ID: <c:out value="${customerAddress.customerAddressID}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerAddressEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Customer Wish Lists'}">
			<c:set var="navigationName" scope="request">Wish Lists</c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerWishList.do?customerID=${customer.customerID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerWishList'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Customer Wish List'}">
			<c:set var="navigationName" scope="request">Add Wish List</c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerWishListAddForm.do?customerID=${customer.customerID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerWishListAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Customer Wish List Details'}">
			<c:set var="navigationName" scope="request">Wish List: <em><c:out value="${customerWishList.name}"/> (ID: <c:out value="${customerWishList.customerWishListID}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/CustomerWishListEditForm.do?customerID=${customerWishList.customerID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${customerWishList.name}"/> (ID: <c:out value="${customerWishList.customerWishListID}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="customer/customer"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CustomerWishListEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Countries'}">
			<c:set var="navigationLink" scope="request" value="/Country.do"/>
		</c:when><c:when test="${navElement eq 'Add Country'}">
			<c:set var="navigationLink" scope="request" value="/CountryAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Country Details'}">
			<c:set var="navigationName" scope="request">Country: <em><c:out value="${country.name}"/> (<c:out value="${country.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/CountryEditForm.do?countryID=${country.countryID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${country.name}"/> (<c:out value="${country.code}"/>)</em></c:set>
		</c:when><c:when test="${navElement eq 'States'}">
			<c:set var="navigationLink" scope="request" value="/State.do"/>
		</c:when><c:when test="${navElement eq 'Add State'}">
			<c:set var="navigationLink" scope="request" value="/StateAddForm.do"/>
		</c:when><c:when test="${navElement eq 'State Details'}">
			<c:set var="navigationName" scope="request">State: <em><c:out value="${state.name}"/> (<c:out value="${state.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/StateEditForm.do?stateID=${state.stateID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${state.name}"/> (<c:out value="${state.code}"/>)</em></c:set>
		</c:when><c:when test="${navElement eq 'Orders'}">
			<c:set var="navigationLink" scope="request" value="/Order.do"/>
		</c:when><c:when test="${navElement eq 'Add Order'}">
			<c:set var="navigationLink" scope="request" value="/OrderAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Order Details'}">
			<c:choose>
				<c:when test="${empty order.orderNumber}">
					<c:set var="navigationName" scope="request">Order: <em>(ID: <c:out value="${order.orderID}"/>)</em></c:set>
					<c:set var="navigationSuffix" scope="request">for <em>(ID: <c:out value="${order.orderID}"/>)</em></c:set>
				</c:when>
				<c:otherwise>
					<c:set var="navigationName" scope="request">Order: <em><c:out value="${order.orderNumber}"/></em></c:set>
					<c:set var="navigationSuffix" scope="request">for <em><c:out value="${order.orderNumber}"/></em></c:set>
				</c:otherwise>
			</c:choose>
			<c:set var="navigationLink" scope="request" value="/OrderEditForm.do?orderID=${order.orderID}"/>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="order/order"/>
		</c:when><c:when test="${navElement eq 'Order Deliveries'}">
			<c:set var="navigationName" scope="request">Delivery Addresses</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDelivery.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDelivery'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Order Delivery'}">
			<c:set var="navigationName" scope="request">Add Delivery Address</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDeliveryAddForm.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDeliveryAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Delivery Details'}">
			<c:set var="navigationName" scope="request">Delivery Address: <em><c:out value="${orderDelivery.address1}"/> (ID: <c:out value="${orderDelivery.orderDeliveryID}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDeliveryEditForm.do?orderDeliveryID=${orderDelivery.orderDeliveryID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${orderDelivery.address1}"/> (ID: <c:out value="${orderDelivery.orderDeliveryID}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDeliveryEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Items'}">
			<c:set var="navigationName" scope="request">Order Items</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItem.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItem'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Order Item'}">
			<c:set var="navigationName" scope="request">Add Order Item</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItemAddForm.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItemAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Item Details'}">
			<c:set var="navigationName" scope="request">Order Item: <em><c:out value="${orderItem.name}"/> (<c:out value="${orderItem.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItemEditForm.do?orderItemID=${orderItem.orderItemID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${orderItem.name}"/> (<c:out value="${orderItem.code}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItemEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Item Attributes'}">
			<c:set var="navigationName" scope="request">Order Item Attributes</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItemAttribute.do?orderItemID=${orderItem.orderItemID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItemAttribute'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Order Item Attribute'}">
			<c:set var="navigationName" scope="request">Add Order Item Attribute</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItemAttributeAddForm.do?orderItemID=${orderItem.orderItemID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItemAttributeAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Item Attribute Details'}">
			<c:set var="navigationName" scope="request">Order Item Attribute: <em><c:out value="${orderItemAttribute.attributeName}"/> (<c:out value="${orderItemAttribute.attributeCode}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/OrderItemAttributeEditForm.do?orderItemAttributeID=${orderItemAttribute.orderItemAttributeID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${orderItemAttribute.attributeName}"/> (<c:out value="${orderItemAttribute.attributeCode}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderItemAttributeEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Discounts'}">
			<c:set var="navigationName" scope="request">Order Discounts</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDiscount.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDiscount'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Order Discount'}">
			<c:set var="navigationName" scope="request">Add Order Discount</c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDiscountAddForm.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDiscountAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Order Discount Details'}">
			<c:set var="navigationName" scope="request">Order Discount: <em><c:out value="${orderDiscount.name}"/> (<c:out value="${orderDiscount.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/OrderDiscountEditForm.do?orderdisountID=${orderDiscount.orderDiscountID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${orderDiscount.name}"/> (<c:out value="${orderDiscount.code}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OrderDiscountEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Send Order Emails'}">
			<c:set var="navigationLink" scope="request" value="/SendEmailsForm.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/SendEmailsForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Payments'}">
			<c:set var="navigationName" scope="request">Payments</c:set>
			<c:set var="navigationLink" scope="request" value="/Payment.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/Payment'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Payment'}">
			<c:set var="navigationName" scope="request">Add Payment</c:set>
			<c:set var="navigationLink" scope="request" value="/PaymentAddForm.do?orderID=${order.orderID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/PaymentAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Payment Details'}">
			<c:set var="navigationName" scope="request">Payment: <em>(ID: <c:out value="${payment.paymentID}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/PaymentEditForm.do?paymentID=${payment.paymentID}"/>
			<c:set var="navigationSuffix" scope="request">for <em>ID: <c:out value="${payment.paymentID}"/></em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/PaymentEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Categories'}">
			<c:set var="navigationLink" scope="request" value="/Category.do"/>
		</c:when><c:when test="${navElement eq 'Add Category'}">
			<c:set var="navigationLink" scope="request" value="/CategoryAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Category Details'}">
			<c:set var="navigationName" scope="request">Category: <em><c:out value="${category.name}"/> (<c:out value="${category.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/CategoryEditForm.do?categoryID=${category.categoryID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${category.name}"/> (<c:out value="${category.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/category"/>
		</c:when><c:when test="${(navElement eq 'Category Settings' or navElement eq 'Content Page Settings')
								 and requestScope['org.apache.struts.action.mapping.instance'].path eq '/CategorySettingsOther'}">
			<c:set var="navigationName" scope="request">Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/CategorySettingsOther.do?categoryID=${category.categoryID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CategorySettingsOther'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${(navElement eq 'Category Settings' or navElement eq 'Content Page Settings') 
			and requestScope['org.apache.struts.action.mapping.instance'].path eq '/CategorySettingsGeneral'}">
			<c:set var="navigationName" scope="request">Custom Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/CategorySettingsGeneral.do?categoryID=${category.categoryID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/CategorySettingsGeneral'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Content Pages'}">
			<c:set var="navigationLink" scope="request" value="/Category.do?workWithCategories=Content%20Pages"/>
		</c:when><c:when test="${navElement eq 'Add Content Page'}">
			<c:set var="navigationLink" scope="request" value="/CategoryAddForm.do?workWithCategories=Content%20Pages"/>
		</c:when><c:when test="${navElement eq 'Content Page Details'}">
			<c:set var="navigationName" scope="request">Content Page: <em><c:out value="${category.name}"/> (<c:out value="${category.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/CategoryEditForm.do?categoryID=${category.categoryID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${category.name}"/> (<c:out value="${category.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/category"/>
		</c:when><c:when test="${navElement eq 'Content Page Settings'}">
			<c:set var="navigationName" scope="request">Custom Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/CategorySettingsGeneral.do?categoryID=${category.categoryID}"/>
		</c:when><c:when test="${navElement eq 'Products'}">
			<c:set var="navigationLink" scope="request" value="/Product.do"/>
		</c:when><c:when test="${navElement eq 'Product Details'}">
			<c:set var="navigationName" scope="request">Product: <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/ProductEditForm.do?productID=${product.productID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductCloneForm'}">
				<c:set var="navigationSuffix" scope="request">: <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></c:set>
			</c:if>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/product"/>
		</c:when><c:when test="${navElement eq 'Add Product'}">
			<c:set var="navigationLink" scope="request" value="/ProductAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Product Inventory Settings' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsInventory')}">
			<c:set var="navigationName" scope="request">Inventory Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsInventory.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsInventory'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Product File Downloads' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsDownloads')}">
			<c:set var="navigationName" scope="request">File Downloads</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsDownloads.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsDownloads'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Product Other Settings' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsDisplay')}">
			<c:set var="navigationName" scope="request">Other Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsDisplay.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsDisplay'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Product Custom Settings' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsGeneral')}">
			<c:set var="navigationName" scope="request">Custom Settings</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsGeneral.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsGeneral'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Product Facets' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsFacets')}">
			<c:set var="navigationName" scope="request">Product Facets</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsFacets.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsFacets'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Clone Product'}">
			<c:set var="navigationName" scope="request">Clone Product</c:set>
			<c:set var="navigationChildName" scope="request">Clone Product</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductCloneForm.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductCloneForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Additional Images' or 
						(navElement eq 'Product Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsImages')}">
			<c:set var="navigationName" scope="request">Additional Images</c:set>
			<c:set var="navigationLink" scope="request" value="/ProductSettingsImages.do?productID=${product.productID}"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ProductSettingsImages'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Product Reviews'}">
			<c:set var="navigationLink" scope="request" value="/ProductReview.do"/>
		</c:when><c:when test="${navElement eq 'Product Review Details'}">
			<c:set var="navigationName" scope="request">Product Review: <em><c:out value="${productReview.email}"/></em></c:set>
			<c:set var="navigationLink" scope="request" value="/ProductReviewEditForm.do?productReviewID=${productReview.productReviewID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${productReview.email}"/></em></c:set>
		</c:when><c:when test="${navElement eq 'Add Product Review'}">
			<c:set var="navigationLink" scope="request" value="/ProductReviewAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Manufacturers'}">
			<c:set var="navigationLink" scope="request" value="/Manufacturer.do"/>
		</c:when><c:when test="${navElement eq 'Manufacturer Details'}">
			<c:set var="navigationName" scope="request">Manufacturer Details: <em><c:out value="${manufacturer.name}"/> (<c:out value="${manufacturer.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/ManufacturerEditForm.do?manufacturerID=${manufacturer.manufacturerID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${manufacturer.name}"/> (<c:out value="${manufacturer.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/manufacturer"/>
		</c:when><c:when test="${navElement eq 'Add Manufacturer'}">
			<c:set var="navigationLink" scope="request" value="/ManufacturerAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Attributes'}">
			<c:set var="navigationLink" scope="request">/Attribute.do<c:if test="${!empty product}">?productID=<c:out value="${product.productID}"/>&assignments=assigned</c:if></c:set>
		</c:when><c:when test="${navElement eq 'Attribute Details'}">
			<c:set var="navigationName" scope="request">Attribute: <em><c:out value="${attribute.attributeName}"/> (<c:out value="${attribute.attributeCode}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request">/AttributeEditForm.do?attributeID=<c:out value="${attribute.attributeID}"/><c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if></c:set>
			<c:set var="navigationChildName" scope="request">Details</c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/AttributeEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${attribute.attributeName}"/> (<c:out value="${attribute.attributeCode}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/attribute"/>
		</c:when><c:when test="${navElement eq 'Add Attribute'}">
			<c:set var="navigationLink" scope="request" value="/AttributeAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Options'}">
			<c:set var="navigationLink" scope="request">/Option.do?attributeID=<c:out value="${attribute.attributeID}"/>&optionID=<c:out value="${option.optionID}"/><c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/Option'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Option Details'}">
			<c:set var="navigationName" scope="request">Option: <em><c:out value="${option.optionName}"/> (<c:out value="${option.optionCode}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request">/OptionEditForm.do?optionID=<c:out value="${option.optionID}"/><c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OptionEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Option'}">
			<c:set var="navigationLink" scope="request">/OptionAddForm.do?attributeID=<c:out value="${attribute.attributeID}"/><c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/OptionAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'SKUs'}">
			<c:set var="navigationLink" scope="request">/SKU.do<c:if test="${!empty product}">?parentIDField=productID&amp;productID=<c:out value="${product.productID}"/></c:if></c:set>
		</c:when><c:when test="${navElement eq 'SKU Details'}">
			<c:set var="navigationLink" scope="request" value="/SKUEditForm.do?skuID=${sku.skuID}"/>
			<c:set var="navigationName" scope="request">SKU: <em><c:out value="${sku.skuName}"/> (<c:out value="${sku.skuNumber}"/>)</em></c:set>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${sku.skuName}"/> (<c:out value="${sku.skuNumber}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/sku"/>
		</c:when><c:when test="${navElement eq 'Add SKU'}">
			<c:set var="navigationLink" scope="request" value="/SKUAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Discounts'}">
			<c:set var="navigationLink" scope="request">/Discount.do<c:if test="${!empty product}">?assignments=assigned&amp;parentIDField=productID&amp;productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">?assignments=assigned&amp;parentIDField=skuID&amp;skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
		</c:when><c:when test="${navElement eq 'Discount Details'}">
			<c:set var="navigationLink" scope="request">/DiscountEditForm.do?discountID=${discount.discountID}<c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:set var="navigationName" scope="request">Discount: <em><c:out value="${discount.name}"/> (<c:out value="${discount.code}"/>)</em></c:set>
			<c:set var="navigationChildName" scope="request">Details</c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/DiscountEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${discount.name}"/> (<c:out value="${discount.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/discount"/>
		</c:when><c:when test="${navElement eq 'Add Discount'}">
			<c:set var="navigationLink" scope="request">/DiscountAddForm.do<c:if test="${!empty product}">?productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">?skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
		</c:when><c:when test="${navElement eq 'Discount Ranges'}">
			<c:set var="navigationLink" scope="request">/DiscountRange.do?discountID=${discount.discountID}<c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/DiscountRange'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Discount Range Details'}">
			<c:set var="navigationLink" scope="request">/DiscountRangeEditForm.do?discountRangeID=${discountRange.discountRangeID}<c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="product/discount"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/DiscountRangeEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Discount Range'}">
			<c:set var="navigationLink" scope="request">/DiscountRangeAddForm.do?discountID=<c:out value="${discount.discountID}"/><c:if test="${!empty product}">&productID=<c:out value="${product.productID}"/></c:if><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/DiscountRangeAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Shipping Rules'}">
			<c:set var="navigationLink" scope="request">/ShippingRule.do<c:if test="${!empty sku}">?assignments=assigned&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
		</c:when><c:when test="${navElement eq 'Shipping Rule Details'}">
			<c:set var="navigationLink" scope="request">/ShippingRuleEditForm.do?shippingRuleID=<c:out value="${shippingRule.shippingRuleID}"/><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:set var="navigationName" scope="request">Shipping Rule: <em><c:out value="${shippingRule.name}"/> (<c:out value="${shippingRule.code}"/>)</em></c:set>
			<c:set var="navigationChildName" scope="request">Details</c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ShippingRuleEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${shippingRule.name}"/> (<c:out value="${shippingRule.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="shipping/shippingRule"/>
		</c:when><c:when test="${navElement eq 'Add Shipping Rule'}">
			<c:set var="navigationLink" scope="request">/ShippingRuleAddForm.do<c:if test="${!empty sku}">?skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
		</c:when><c:when test="${navElement eq 'Rule Definitions'}">
			<c:set var="navigationLink" scope="request">/ShippingRuleRange.do?shippingRuleID=${shippingRule.shippingRuleID}<c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ShippingRuleRange'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Rule Definition Details'}">
			<c:set var="navigationLink" scope="request">/ShippingRuleRangeEditForm.do?shippingRuleRangeID=${shippingRuleRange.shippingRuleRangeID}<c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="shipping/shippingRuleRange"/>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ShippingRuleRangeEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Rule Definition'}">
			<c:set var="navigationLink" scope="request">/ShippingRuleRangeAddForm.do?shippingRuleID=<c:out value="${shippingRule.shippingRuleID}"/><c:if test="${!empty sku}">&skuID=<c:out value="${sku.skuID}"/></c:if></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/ShippingRuleRangeAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Shipping Methods'}">
			<c:set var="navigationLink" scope="request" value="/ShippingMethod.do"/>
		</c:when><c:when test="${navElement eq 'Add Shipping Method'}">
			<c:set var="navigationLink" scope="request" value="/ShippingMethodAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Shipping Method Details'}">
			<c:set var="navigationName" scope="request">Shipping Method: <em><c:out value="${shippingMethod.name}"/> (<c:out value="${shippingMethod.code}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/ShippingMethodEditForm.do?shippingMethodID=${shippingMethod.shippingMethodID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${shippingMethod.name}"/> (<c:out value="${shippingMethod.code}"/>)</em></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="shipping/shippingMethod"/>
		</c:when><c:when test="${navElement eq 'Shipping Rates'}">
			<c:set var="navigationLink" scope="request" value="/ShippingRate.do?shippingMethodID=${shippingMethod.shippingMethodID}"/>
		</c:when><c:when test="${navElement eq 'Add Shipping Rate'}">
			<c:set var="navigationLink" scope="request" value="/ShippingRateAddForm.do?shippingMethodID=${shippingMethod.shippingMethodID}"/>
		</c:when><c:when test="${navElement eq 'Shipping Rate Details'}">
			<c:set var="navigationName" scope="request">Shipping Rate: (ID: <c:out value="${shippingRate.shippingRateID}"/>)</c:set>
			<c:set var="navigationLink" scope="request" value="/ShippingRateEditForm.do?shippingRateID=${shippingRate.shippingRateID}"/>
		</c:when><c:when test="${navElement eq 'Basic Tax Rates'}">
			<c:set var="navigationLink" scope="request">/BasicTax.do</c:set>
		</c:when><c:when test="${navElement eq 'Basic Tax Rate Details'}">
			<c:set var="navigationName" scope="request">Basic Tax Rate: (ID: <c:out value="${basicTaxRate.basicTaxRateID}"/>)</c:set>
			<c:set var="navigationLink" scope="request">/BasicTaxRateEditForm.do?basicTaxRateID=<c:out value="${basicTaxRate.basicTaxRateID}"/></c:set>
		</c:when><c:when test="${navElement eq 'Add Basic Tax Rate'}">
			<c:set var="navigationLink" scope="request">/BasicTaxRateAddForm.do?basicTaxRateID=<c:out value="${basicTaxRate.basicTaxRateID}"/></c:set>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsStoreLogo'}">
			<c:set var="navigationName" scope="request" value="Store Logo Upload"/>
			<c:set var="navigationLink" scope="request" value="/SettingsStoreLogo.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsStoreContactInfo'}">
			<c:set var="navigationName" scope="request" value="Store Contact Information"/>
			<c:set var="navigationLink" scope="request" value="/SettingsStoreContactInfo.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsStoreURLs'}">
			<c:set var="navigationName" scope="request" value="Store URL Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsStoreURLs.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEmail'}">
			<c:set var="navigationName" scope="request" value="Outgoing Email Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEmail.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsSEO'}">
			<c:set var="navigationName" scope="request" value="Search Engine Optimization (SEO) Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsSEO.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsTracking'}">
			<c:set var="navigationName" scope="request" value="Tracking Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsTracking.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsContactForm'}">
			<c:set var="navigationName" scope="request" value="Contact Form Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsContactForm.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsComponents'}">
			<c:set var="navigationName" scope="request" value="Components"/>
			<c:set var="navigationLink" scope="request" value="/SettingsComponents.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAdvancedSystem'}">
			<c:set var="navigationName" scope="request" value="Advanced System Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAdvancedSystem.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsHtml5Themes'}">
			<c:set var="navigationName" scope="request" value="Themes"/>
			<c:set var="navigationLink" scope="request" value="/SettingsHtml5Themes.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsThemes'}">
			<c:set var="navigationName" scope="request" value="Themes (xhtml)"/>
			<c:set var="navigationLink" scope="request" value="/SettingsThemes.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsGeneralDisplay'}">
			<c:set var="navigationName" scope="request" value="General Display Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsGeneralDisplay.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsHeaderSidePanel'}">
			<c:set var="navigationName" scope="request" value="Header, Side Panel and Welcome"/>
			<c:set var="navigationLink" scope="request" value="/SettingsHeaderSidePanel.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsProductListDisplay'}">
			<c:set var="navigationName" scope="request" value="Product List Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsProductListDisplay.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAdvancedDisplay'}">
			<c:set var="navigationName" scope="request" value="Advanced Display Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAdvancedDisplay.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsStyles'}">
			<c:set var="navigationName" scope="request" value="Styles Settings (legacy)"/>
			<c:set var="navigationLink" scope="request" value="/SettingsStyles.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEncryption'}">
			<c:set var="navigationName" scope="request" value="Encryption Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEncryption.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsCustomerSecurity'}">
			<c:set var="navigationName" scope="request" value="Customer Security Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsCustomerSecurity.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAdministrator'}">
			<c:set var="navigationName" scope="request" value="Administrator Security Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAdministrator.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsCaptchaVerification'}">
			<c:set var="navigationName" scope="request" value="Captcha Verification Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsCaptchaVerification.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsSessionManagement'}">
			<c:set var="navigationName" scope="request" value="Session Management Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsSessionManagement.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsInventory'}">
			<c:set var="navigationName" scope="request" value="Inventory Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsInventory.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsDiscounts'}">
			<c:set var="navigationName" scope="request" value="Discount Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsDiscounts.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAdvancedSearch'}">
			<c:set var="navigationName" scope="request" value="Advanced Search Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAdvancedSearch.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/LuceneForm'}">
			<c:set var="navigationName" scope="request" value="Advanced Search Reindex"/>
			<c:set var="navigationLink" scope="request" value="/LuceneForm.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsCheckoutFlow'}">
			<c:set var="navigationName" scope="request" value="Checkout Flow Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsCheckoutFlow.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAddress'}">
			<c:set var="navigationName" scope="request" value="Address Fields Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAddress.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsCustomerAccount'}">
			<c:set var="navigationName" scope="request" value="Customer Account Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsCustomerAccount.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/TaxSettings'}">
			<c:set var="navigationName" scope="request" value="Tax Settings"/>
			<c:set var="navigationLink" scope="request" value="/TaxSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAvaTax'}">
			<c:set var="navigationName" scope="request" value="AvaTax Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAvaTax.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/ShippingSettings'}">
			<c:set var="navigationName" scope="request" value="Shipping Settings"/>
			<c:set var="navigationLink" scope="request" value="/ShippingSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/FedExSettings'}">
			<c:set var="navigationName" scope="request" value="FedEx Settings"/>
			<c:set var="navigationLink" scope="request" value="/FedExSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/UPSSettings'}">
			<c:set var="navigationName" scope="request" value="UPS Settings"/>
			<c:set var="navigationLink" scope="request" value="/UPSSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/USPSSettings'}">
			<c:set var="navigationName" scope="request" value="USPS Settings"/>
			<c:set var="navigationLink" scope="request" value="/USPSSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PaymentSettings'}">
			<c:set var="navigationName" scope="request" value="Payment Settings"/>
			<c:set var="navigationLink" scope="request" value="/PaymentSettings.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/AuthorizeNet'}">
			<c:set var="navigationName" scope="request" value="Authorize.net Settings"/>
			<c:set var="navigationLink" scope="request" value="/AuthorizeNet.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/AuthorizeNetDPM'}">
			<c:set var="navigationName" scope="request" value="Authorize.net DPM Settings"/>
			<c:set var="navigationLink" scope="request" value="/AuthorizeNetDPM.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/AuthorizeNetCIM'}">
			<c:set var="navigationName" scope="request" value="Authorize.net CIM Settings"/>
			<c:set var="navigationLink" scope="request" value="/AuthorizeNetCIM.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/FirstData'}">
			<c:set var="navigationName" scope="request" value="First Data Global Gateway Settings"/>
			<c:set var="navigationLink" scope="request" value="/FirstData.do"/>
		</c:when>
    <c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PayPal'}">
			<c:set var="navigationName" scope="request" value="PayPal Direct &amp; Express Settings"/>
			<c:set var="navigationLink" scope="request" value="/PayPal.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PayPalUK'}">
			<c:set var="navigationName" scope="request" value="PayPal UK Direct &amp; Express Settings"/>
			<c:set var="navigationLink" scope="request" value="/PayPalUK.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PayflowLink'}">
			<c:set var="navigationName" scope="request" value="PayPal Payflow Link Settings"/>
			<c:set var="navigationLink" scope="request" value="/PayflowLink.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PayflowPro'}">
			<c:set var="navigationName" scope="request" value="Payflow Pro Settings"/>
			<c:set var="navigationLink" scope="request" value="/PayflowPro.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/PayflowProTransAuth'}">
			<c:set var="navigationName" scope="request" value="Payflow Pro Advanced Settings"/>
			<c:set var="navigationLink" scope="request" value="/PayflowProTransAuth.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/GoogleCheckout'}">
			<c:set var="navigationName" scope="request" value="Google Checkout Settings"/>
			<c:set var="navigationLink" scope="request" value="/GoogleCheckout.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/Paypoint'}">
			<c:set var="navigationName" scope="request" value="Paypoint Settings"/>
			<c:set var="navigationLink" scope="request" value="/Paypoint.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/CRESecure'}">
			<c:set var="navigationName" scope="request" value="CRE Secure Settings"/>
			<c:set var="navigationLink" scope="request" value="/CRESecure.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEmailerContactForm'}">
			<c:set var="navigationName" scope="request" value="SoftSlate Emailer Contact Form Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEmailerContactForm.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEmailerCustomerRegistration'}">
			<c:set var="navigationName" scope="request" value="SoftSlate Emailer Customer Registration Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEmailerCustomerRegistration.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEmailerCheckout'}">
			<c:set var="navigationName" scope="request" value="SoftSlate Emailer Checkout Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEmailerCheckout.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsLicenseKey'}">
			<c:set var="navigationName" scope="request" value="License Key"/>
			<c:set var="navigationLink" scope="request" value="/SettingsLicenseKey.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsMonitorJob'}">
			<c:set var="navigationName" scope="request" value="Monitor Job Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsMonitorJob.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsReindexLuceneJob'}">
			<c:set var="navigationName" scope="request" value="Advanced Search Reindex Job Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsReindexLuceneJob.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsCustomerFollowUpJob'}">
			<c:set var="navigationName" scope="request" value="Customer Follow Up Job Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsCustomerFollowUpJob.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsAbandonedCartEmailJob'}">
			<c:set var="navigationName" scope="request" value="Abandoned Cart Email Job Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsAbandonedCartEmailJob.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsOrderShippedJob'}">
			<c:set var="navigationName" scope="request" value="Order Shipped Job Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsOrderShippedJob.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsEmailMarketingServices'}">
			<c:set var="navigationName" scope="request" value="Email Marketing Services Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsEmailMarketingServices.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsConstantContact'}">
			<c:set var="navigationName" scope="request" value="Constant Contact Settings"/>
			<c:set var="navigationLink" scope="request" value="/SettingsConstantContact.do"/>
		</c:when><c:when test="${navElement eq 'Settings' and requestScope['org.apache.struts.action.mapping.instance'].path eq '/SettingsMailChimp'}">
            <c:set var="navigationName" scope="request" value="MailChimp Settings"/>
            <c:set var="navigationLink" scope="request" value="/SettingsMailChimp.do"/>
        </c:when><c:when test="${navElement eq 'Import Form '}">
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do"/>
		</c:when><c:when test="${navElement eq 'Import Form sscproduct'}">
			<c:set var="navigationName" scope="request" value="Product Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=sscproduct"/>
		</c:when><c:when test="${navElement eq 'Import Form ssccategory'}">
			<c:set var="navigationName" scope="request" value="Category Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=ssccategory"/>
		</c:when><c:when test="${navElement eq 'Import Form sscattribute'}">
			<c:set var="navigationName" scope="request" value="Attribute Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=sscattribute"/>
		</c:when><c:when test="${navElement eq 'Import Form sscoption'}">
			<c:set var="navigationName" scope="request" value="Option Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=sscoption"/>
		</c:when><c:when test="${navElement eq 'Import Form sscsku'}">
			<c:set var="navigationName" scope="request" value="SKU Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=sscsku"/>
		</c:when><c:when test="${navElement eq 'Import Form sscproductsetting'}">
			<c:set var="navigationName" scope="request" value="Product Setting Import"/>
			<c:set var="navigationLink" scope="request" value="/ImportUploadForm.do?table=sscproductsetting"/>
		</c:when><c:when test="${navElement eq 'Import Results'}">
			<c:set var="pageTitle" scope="request" value="Import Results"/>
			<c:set var="pageHTMLTitle" scope="request" value=""/>
		</c:when><c:when test="${navElement eq 'Export Form sscproduct'}">
			<c:set var="navigationName" scope="request" value="Product Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscproduct"/>
		</c:when><c:when test="${navElement eq 'Export Form ssccategory'}">
			<c:set var="navigationName" scope="request" value="Category Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=ssccategory"/>
		</c:when><c:when test="${navElement eq 'Export Form sscattribute'}">
			<c:set var="navigationName" scope="request" value="Attribute Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscattribute"/>
		</c:when><c:when test="${navElement eq 'Export Form sscoption'}">
			<c:set var="navigationName" scope="request" value="Option Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscoption"/>
		</c:when><c:when test="${navElement eq 'Export Form sscsku'}">
			<c:set var="navigationName" scope="request" value="SKU Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscsku"/>
		</c:when><c:when test="${navElement eq 'Export Form sscproductsetting'}">
			<c:set var="navigationName" scope="request" value="Product Setting Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscproductsetting"/>
		</c:when><c:when test="${navElement eq 'Export Form sscorder'}">
			<c:set var="navigationName" scope="request" value="Order Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=sscorder"/>
		</c:when><c:when test="${navElement eq 'Export Form ssccustomer'}">
			<c:set var="navigationName" scope="request" value="Customer Export"/>
			<c:set var="navigationLink" scope="request" value="/ExportForm.do?tableName=ssccustomer"/>
		</c:when><c:when test="${navElement eq 'Sales by Product Report Form'}">
			<c:set var="navigationLink" scope="request">/SalesByProductForm.do</c:set>
		</c:when><c:when test="${navElement eq 'Monthly Sales Report Form'}">
			<c:set var="navigationLink" scope="request">/MonthlySalesForm.do</c:set>
		</c:when><c:when test="${navElement eq 'Request Log'}">
			<c:set var="navigationLink" scope="request" value="/RequestLog.do"/>
		</c:when><c:when test="${navElement eq 'Add Request Log'}">
			<c:set var="navigationLink" scope="request" value="/RequestLogAddForm.do"/>
		</c:when><c:when test="${navElement eq 'Request Log Details'}">
			<c:set var="navigationName" scope="request">Request Log: <em><c:out value="${requestLog.ipAddress}"/> (<c:out value="${requestLog.sessionID}"/>)</em></c:set>
			<c:set var="navigationLink" scope="request" value="/RequestLogEditForm.do?requestLogID=${requestLog.requestLogID}"/>
			<c:set var="navigationSuffix" scope="request">for <em><c:out value="${requestLog.ipAddress}"/> (<c:out value="${requestLog.sessionID}"/>)</em></c:set>
		</c:when><c:when test="${navElement eq 'Templates'}">
			<c:set var="navigationLink" scope="request">/Template.do</c:set>
		</c:when><c:when test="${navElement eq 'Template Details'}">
			<c:set var="navigationName" scope="request">Template: <em><c:out value="${template.code}"/></em></c:set>
			<c:set var="navigationLink" scope="request">/TemplateEditForm.do?templateID=<c:out value="${template.templateID}"/></c:set>
			<c:set var="navigationDirectoryAndPrefix" scope="request" value="email/template"/>
		</c:when><c:when test="${navElement eq 'Add Template'}">
			<c:set var="navigationLink" scope="request">/TemplateAddForm.do?templateID=<c:out value="${template.templateID}"/></c:set>
		</c:when><c:when test="${navElement eq 'Emails'}">
			<c:set var="navigationLink" scope="request">/Email.do</c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/Email'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Email Details'}">
			<c:set var="navigationName" scope="request">Email: <em><c:out value="${email.subject}"/></em></c:set>
			<c:set var="navigationLink" scope="request">/EmailEditForm.do?emailID=<c:out value="${email.emailID}"/></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/EmailEditForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Add Email'}">
			<c:set var="navigationLink" scope="request">/EmailAddForm.do?emailID=<c:out value="${email.emailID}"/></c:set>
			<c:if test="${requestScope['org.apache.struts.action.mapping.instance'].path eq '/EmailAddForm'}">
				<c:set var="navigationChildLinkActive" scope="request" value="true"/>
			</c:if>
		</c:when><c:when test="${navElement eq 'Email Opt Outs'}">
			<c:set var="navigationLink" scope="request">/EmailOptOut.do</c:set>
		</c:when><c:when test="${navElement eq 'Email Opt Out Details'}">
			<c:set var="navigationName" scope="request">Email Opt Out: (email: <c:out value="${emailOptOut.emailAddress}"/>)</c:set>
			<c:set var="navigationLink" scope="request">/EmailOptOutEditForm.do?emailOptOutID=<c:out value="${emailOptOut.emailOptOutID}"/></c:set>
		</c:when><c:when test="${navElement eq 'Add Email Opt Out'}">
			<c:set var="navigationLink" scope="request">/EmailOptOutAddForm.do?emailOptOutID=<c:out value="${emailOptOut.emailOptOutID}"/></c:set>
		</c:when>
	</c:choose>
<!-- End navigationLookupDetails.jsp -->
